{
	"schema": "https://iot-ap.ikonke.com/model/product_1023.json",
	"productType": "sensor",
	"profile": {
		"heartbeat": "3000",
		"productCode": "1023",
		"productName": "KPL门磁"
	},
	"services": [{
		"outputData": [{
			"identifier": "ContactState",
			"name": "门磁状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "打开"
				}
			}
		}, {
			"identifier": "Battery",
			"name": "电池电量",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "0.01"
				}
			}
		}],
		"identifier": "get",
		"inputData": ["ContactState", "Battery"],
		"method": "thing.service.property.get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取"
	}],
	"properties": [{
		"identifier": "ContactState",
		"name": "门磁状态",
		"accessMode": "r",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "打开"
			}
		}
	}, {
		"identifier": "Battery",
		"name": "电池电量",
		"accessMode": "r",
		"required": false,
		"dataType": {
			"type": "double",
			"specs": {
				"min": "0",
				"max": "100",
				"unit": "%",
				"unitName": "百分比",
				"step": "0.01"
			}
		}
	}],
	"events": [{
		"outputData": [{
			"identifier": "ContactState",
			"name": "门磁状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "打开"
				}
			}
		}, {
			"identifier": "Battery",
			"name": "电池电量",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "0.01"
				}
			}
		}],
		"identifier": "property",
		"method": "thing.event.property.post",
		"name": "property",
		"type": "info",
		"required": true,
		"desc": "属性上报"
	}, {
		"outputData": [{
			"identifier": "ContactState",
			"name": "门磁状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "打开"
				}
			}
		}],
		"identifier": "contactAlarm",
		"method": "thing.event.alarm.post",
		"name": "contactAlarm",
		"type": "alarm",
		"required": true,
		"desc": "门磁告警"
	}, {
		"outputData": [{
			"identifier": "Battery",
			"name": "电池电量",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "0",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "0.01"
				}
			}
		}],
		"identifier": "BatteryAlarm",
		"method": "thing.event.alarm.post",
		"name": "BatteryAlarm",
		"type": "alarm",
		"required": true,
		"desc": "低电量告警"
	}, {
		"identifier": "TamperAlarm",
		"name": "防撬报警",
		"type": "alert",
		"required": true,
		"method": "thing.event.TamperAlarm.post",
		"outputData": []
	}]
}